{
  "openapi": "3.0.0",
  "info": {
    "description": "## Vulnerability Advisor 3 for IBM Cloud Container Registry\n\n## Introduction\n\nVulnerability Advisor checks the security status of container images that are provided by IBM, third parties, or added to your organization's registry namespace.\n\n**Discontinued**: Vulnerability Advisor version 3 is discontinued from 13 November 2023. For more information about how to update to version 4, see [Vulnerability Advisor version 3 is being discontinued on 13 November 2023](https://cloud.ibm.com/docs/Registry?topic=Registry-registry_notices_va_v3).\n\nA different back-end technology is used in [Vulnerability Advisor 4 for IBM Cloud Container Registry API](https://cloud.ibm.com/apidocs/container-registry/va-v4).\n\nFor more information about Vulnerability Advisor, see [Managing image security with Vulnerability Advisor](https://cloud.ibm.com/docs/Registry?topic=Registry-va_index&interface=ui).\n\nFor more information about IBM Cloud® Container Registry, see [About IBM Cloud Container Registry](https://cloud.ibm.com/docs/Registry?topic=Registry-registry_overview#registry_overview).\n\nFor more information about IBM Cloud Kubernetes Service, see [Getting started with IBM Cloud Kubernetes Service](https://cloud.ibm.com/docs/containers?topic=containers-getting-started).\n\nThe code examples on this tab use the client library that is provided for Node.js.\n\n```bash\nnpm install @ibm-cloud/ibm-container-registry\n```\n\nGitHub\n\nhttps://github.com/IBM/container-registry-node-sdk\n\nThe code examples on this tab use the client library that is provided for Go.\n\n```bash\ngo get -u github.com/IBM/container-registry-go-sdk\n```\n\nGitHub\n\nhttps://github.com/IBM/container-registry-go-sdk\n\nThe code examples on this tab use the client library that is provided for Python.\n\n```bash\npip install --upgrade \"ibm-container-registry\"\n```\n\nGitHub\n\nhttps://github.com/IBM/container-registry-python-sdk\n\nThe code examples on this tab use the client library that is provided for Java.\n\nGradle\n\n```groovy\ncompile group: 'com.ibm.cloud', name: 'vulnerability-advisor', version: '0.+'\n```\n\nMaven\n\n[Maven installation instructions](https://github.com/IBM/container-registry-java-sdk/#maven)\n\nGitHub\n\nhttps://github.com/IBM/container-registry-java-sdk\n\n## Endpoint URL\n\nThe endpoint for the Vulnerability Advisor for IBM Cloud Container Registry API is in the format: `https://<registry_dns_name>/va/api/v3` For example, the API endpoint for Dallas is: `https://us.icr.io/va/api/v3` To find out about the available IBM Cloud Container Registry DNS names, see [Regions](https://cloud.ibm.com/docs/Registry?topic=Registry-registry_overview#registry_regions).\n\n## Authentication\n\nAccess to IBM Cloud Container Registry and Vulnerability Advisor is controlled by using IBM Cloud Identity and Access Management (IAM), which provides a unified approach to managing user identities and access control across your IBM Cloud services and applications.\n\nThis API requires IBM Cloud Identity and Access Management (IAM) authentication. You must pass an IAM token in the Authorization header of the request. You can retrieve your IAM access token, which is prefixed with `Bearer`, by running the [`ibmcloud iam oauth-tokens`](https://cloud.ibm.com/docs/cli?topic=cli-ibmcloud_commands_iam#ibmcloud_iam_oauth_tokens) command. You must also set the Account header to the unique ID for your IBM Cloud account. You can retrieve your Account ID by running the [`ibmcloud account show`](https://cloud.ibm.com/docs/cli?topic=cli-ibmcloud_commands_account#ibmcloud_account_show) command.\n\nTo call each method, you must be assigned a role that includes the required IAM actions. Each method lists the associated action. For more information about IAM actions and how they map to roles, see [Managing access for IBM Cloud Container Registry](https://cloud.ibm.com/docs/Registry?topic=Registry-iam).\n\n## Auditing\n\nYou can monitor API activity within your account by using the IBM Cloud Activity Tracker service. Whenever an API method is called, an event is generated that you can then track and audit from within Activity Tracker. The specific event type is listed for each individual method.\nFor more information about how to track IBM Cloud Container Registry activity, see [Auditing the events for Container Registry](https://cloud.ibm.com/docs/Registry?topic=Registry-at_events).\n\nFor more information about IAM actions and Activity Tracker actions by API method, see [IAM and Activity Tracker actions by API  method](https://cloud.ibm.com/docs/Registry?topic=Registry-registry_at_iam).\n\n## Error handling\n\nThe Vulnerabiliy Advisor service uses standard HTTP response codes to indicate whether a method completed successfully.\n\n- A `200` response always indicates success.\n- A `400` type response indicates a bad request that you must change before retrying.\n- A `500` type response usually indicates an internal system error.\n\n## Vulnerability report status codes\n\nThe following table shows the vulnerability report status codes.\n\n| Code | Description |\n|------|-------------|\n| `OK` | No security issues were found in the image. |\n| `FAIL` | The scan found one or more potential security issues or vulnerabilities in the image that are outside the scope of all exemptions. |\n| `WARN` | The scan found one or more potential security issues or vulnerabilities in the image. However all of the issues are within the scope of one or more exemptions. |\n| `UNSUPPORTED` | The scan found no supported operating system (OS) distribution and no active configuration issues in the image. |\n| `INCOMPLETE` | The image is being scanned and the final vulnerability status is not determined. |\n| `UNSCANNED` |  A vulnerability assessment for the image could not be found. |\n\n## Related APIs\n\n- [Vulnerability Advisor 4 for IBM Cloud Container Registry API](https://cloud.ibm.com/apidocs/container-registry/va-v4)\n- [IBM Cloud Container Registry API](https://cloud.ibm.com/apidocs/container-registry)\n- [IBM Cloud Kubernetes Service and Red Hat OpenShift on IBM Cloud API](https://containers.cloud.ibm.com/global/swagger-global-api/)",
    "title": "Vulnerability Advisor for IBM Cloud Container Registry",
    "termsOfService": "https://cloud.ibm.com/docs/overview?topic=overview-terms",
    "license": {
      "name": "(C) Copyright IBM Corp. 2017, 2023 All Rights Reserved."
    },
    "version": "4.0.0",
    "x-alternate-name": "Vulnerability Advisor",
    "x-github": "https://github.ibm.com/cloud-api-docs/container-registry",
    "x-github-issues": "https://github.ibm.com/cloud-api-docs/container-registry/issues/new",
    "x-last-updated": "2025-11-19"
  },
  "servers": [
    {
      "description": "global",
      "x-ibm-region": "global",
      "url": "https://icr.io"
    },
    {
      "description": "us-south",
      "x-ibm-region": "us-south",
      "url": "https://us.icr.io"
    },
    {
      "description": "uk-south",
      "x-ibm-region": "uk-south",
      "url": "https://uk.icr.io"
    },
    {
      "description": "eu-gb",
      "x-ibm-region": "eu-gb",
      "url": "https://uk.icr.io"
    },
    {
      "description": "eu-central",
      "x-ibm-region": "eu-central",
      "url": "https://de.icr.io"
    },
    {
      "description": "eu-de",
      "x-ibm-region": "eu-de",
      "url": "https://de.icr.io"
    },
    {
      "description": "ap-north",
      "x-ibm-region": "ap-north",
      "url": "https://jp.icr.io"
    },
    {
      "description": "jp-tok",
      "x-ibm-region": "jp-tok",
      "url": "https://jp.icr.io"
    },
    {
      "description": "ap-south",
      "x-ibm-region": "ap-south",
      "url": "https://au.icr.io"
    },
    {
      "description": "au-syd",
      "x-ibm-region": "au-syd",
      "url": "https://au.icr.io"
    },
    {
      "description": "jp-osa",
      "x-ibm-region": "jp-osa",
      "url": "https://jp2.icr.io"
    },
    {
      "description": "ca-tor",
      "x-ibm-region": "ca-tor",
      "url": "https://ca.icr.io"
    },
    {
      "description": "br-sao",
      "x-ibm-region": "br-sao",
      "url": "https://br.icr.io"
    }
  ],
  "security": [
    {
      "IAM": []
    }
  ],
  "tags": [
    {
      "description": "Image reports",
      "name": "Report"
    },
    {
      "description": "Policy vulnerabilities",
      "name": "Exemption"
    },
    {
      "description": "Status messages",
      "name": "Status"
    },
    {
      "description": "Notifications",
      "name": "Event"
    }
  ],
  "paths": {
    "/va/api/v4/exempt/image": {
      "get": {
        "tags": [
          "Exemption"
        ],
        "summary": "List account level exemptions",
        "description": "List the exemptions that are specified with account level scope.",
        "operationId": "listExemptionAccount",
        "parameters": [
          {
            "$ref": "#/components/parameters/AccountParam"
          },
          {
            "$ref": "#/components/parameters/LanguageParam"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Exemption"
                  }
                },
                "example": [
                  {
                    "issue_type": "cve",
                    "issue_id": "CVE-2019-99999",
                    "account_id": "79c6d1c71fb1cbedc38ffc251ba2ffff",
                    "scope": {
                      "scope_type": "image",
                      "namespace": "",
                      "repository": "",
                      "tag": ""
                    }
                  }
                ]
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/MissingHeader"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "502": {
            "$ref": "#/components/responses/BadGateway"
          },
          "503": {
            "$ref": "#/components/responses/ServerUnavailable"
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "listExemptionAccountOptions := vulnerabilityAdvisorService.NewListExemptionAccountOptions()\n",
                      "\n",
                      "exemption, response, err := vulnerabilityAdvisorService.ListExemptionAccount(listExemptionAccountOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(exemption, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "let res;\n",
                      "try {\n",
                      "  res = await vulnerabilityAdvisorService.listExemptionAccount({});\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "response = vulnerability_advisor_service.list_exemption_account()\n",
                      "list_exemption = response.get_result()\n",
                      "\n",
                      "print(json.dumps(list_exemption, indent=2))"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "ListExemptionAccountOptions listExemptionAccountOptions = new ListExemptionAccountOptions();\n",
                      "\n",
                      "Response<List<Exemption>> response = vulnerabilityAdvisorService.listExemptionAccount(listExemptionAccountOptions).execute();\n",
                      "List<Exemption> listExemption = response.getResult();\n",
                      "\n",
                      "System.out.println(listExemption);"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X 'GET' \\\n",
                      "  'https://icr.io/va/api/v4/exempt/image' \\\n",
                      "  -H 'Authorization: Bearer <bearer_token>' \\\n",
                      "  -H 'accept: application/json' \\\n",
                      "  -H 'Account: <account_ID>'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/va/api/v4/exempt/image/issue/{issueType}/{issueID}": {
      "get": {
        "tags": [
          "Exemption"
        ],
        "summary": "Get an account level exemption",
        "description": "Get details of an exemption that is specified with account level scope.",
        "operationId": "getExemptionAccount",
        "parameters": [
          {
            "description": "Exemption type, e.g. 'cve' or 'sn' or 'configuration'. See /va/api/v4/exempt/types for more details.",
            "name": "issueType",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Exemption ID, e.g. 'CVE-2018-9999'. See /va/api/v4/exempt/types for more details.",
            "name": "issueID",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": ".*"
            }
          },
          {
            "$ref": "#/components/parameters/AccountParam"
          },
          {
            "$ref": "#/components/parameters/LanguageParam"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Exemption"
                },
                "example": {
                  "issue_type": "cve",
                  "issue_id": "CVE-2019-99999",
                  "account_id": "79c6d1c71fb1cbedc38ffc251ba2ffff",
                  "scope": {
                    "scope_type": "image",
                    "namespace": "",
                    "repository": "",
                    "tag": ""
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/MissingHeader"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "502": {
            "$ref": "#/components/responses/BadGateway"
          },
          "503": {
            "$ref": "#/components/responses/ServerUnavailable"
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "getExemptionAccountOptions := vulnerabilityAdvisorService.NewGetExemptionAccountOptions(\n",
                      "  \"cve\",\n",
                      "  \"CVE-2020-0001\",\n",
                      ")\n",
                      "\n",
                      "exemption, response, err := vulnerabilityAdvisorService.GetExemptionAccount(getExemptionAccountOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(exemption, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  issueType: 'cve',\n",
                      "  issueId: 'CVE-2020-0001',\n",
                      "};\n",
                      "\n",
                      "let res;\n",
                      "try {\n",
                      "  res = await vulnerabilityAdvisorService.getExemptionAccount(params);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "response = vulnerability_advisor_service.get_exemption_account(\n",
                      "  issue_type='cve',\n",
                      "  issue_id='CVE-2023-0001',\n",
                      ")\n",
                      "exemption = response.get_result()\n",
                      "\n",
                      "print(json.dumps(exemption, indent=2))"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "GetExemptionAccountOptions getExemptionAccountOptions = new GetExemptionAccountOptions.Builder()\n",
                      "  .issueType(\"cve\")\n",
                      "  .issueId(\"CVE-2023-0001\")\n",
                      "  .build();\n",
                      "\n",
                      "Response<Exemption> response = vulnerabilityAdvisorService.getExemptionAccount(getExemptionAccountOptions).execute();\n",
                      "Exemption exemption = response.getResult();\n",
                      "\n",
                      "System.out.println(exemption);"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X 'GET' \\\n",
                      "  'https://icr.io/va/api/v4/exempt/image/issue/cve/CVE-2019-99999' \\\n",
                      "  -H 'Authorization: Bearer <bearer_token>' \\\n",
                      "  -H 'accept: application/json' \\\n",
                      "  -H 'Account: <account_ID>'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "post": {
        "tags": [
          "Exemption"
        ],
        "summary": "Create or update an account level exemption",
        "description": "Create or update an exemption that is specified with account level scope.",
        "operationId": "createExemptionAccount",
        "parameters": [
          {
            "description": "Exemption type, e.g. 'cve' or 'sn' or 'configuration'. See /va/api/v4/exempt/types for more details.",
            "name": "issueType",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Exemption ID, e.g. 'CVE-2018-9999'. See /va/api/v4/exempt/types for more details.",
            "name": "issueID",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": ".*"
            }
          },
          {
            "$ref": "#/components/parameters/AccountParam"
          },
          {
            "$ref": "#/components/parameters/LanguageParam"
          }
        ],
        "responses": {
          "201": {
            "description": "Created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Exemption"
                },
                "example": {
                  "issue_type": "cve",
                  "issue_id": "CVE-2019-99999",
                  "account_id": "79c6d1c71fb1cbedc38ffc251ba2ffff",
                  "scope": {
                    "scope_type": "image",
                    "namespace": "",
                    "repository": "",
                    "tag": ""
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/MissingHeader"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "502": {
            "$ref": "#/components/responses/BadGateway"
          },
          "503": {
            "$ref": "#/components/responses/ServerUnavailable"
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "createExemptionAccountOptions := vulnerabilityAdvisorService.NewCreateExemptionAccountOptions(\n",
                      "  \"cve\",\n",
                      "  \"CVE-2020-0001\",\n",
                      ")\n",
                      "\n",
                      "exemption, response, err := vulnerabilityAdvisorService.CreateExemptionAccount(createExemptionAccountOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(exemption, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  issueType: 'cve',\n",
                      "  issueId: 'CVE-2020-0001',\n",
                      "};\n",
                      "\n",
                      "let res;\n",
                      "try {\n",
                      "  res = await vulnerabilityAdvisorService.createExemptionAccount(params);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "response = vulnerability_advisor_service.create_exemption_account(\n",
                      "  issue_type='cve',\n",
                      "  issue_id='CVE-2023-0001',\n",
                      ")\n",
                      "exemption = response.get_result()\n",
                      "\n",
                      "print(json.dumps(exemption, indent=2))"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "CreateExemptionAccountOptions createExemptionAccountOptions = new CreateExemptionAccountOptions.Builder()\n",
                      "  .issueType(\"cve\")\n",
                      "  .issueId(\"CVE-2023-0001\")\n",
                      "  .build();\n",
                      "\n",
                      "Response<Exemption> response = vulnerabilityAdvisorService.createExemptionAccount(createExemptionAccountOptions).execute();\n",
                      "Exemption exemption = response.getResult();\n",
                      "\n",
                      "System.out.println(exemption);"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X 'POST' \\\n",
                      "  'https://icr.io/va/api/v4/exempt/image/issue/cve/CVE-2019-99999' \\\n",
                      "  -H 'Authorization: Bearer <bearer_token>' \\\n",
                      "  -H 'accept: application/json' \\\n",
                      "  -H 'Account: <account_ID>'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "delete": {
        "tags": [
          "Exemption"
        ],
        "summary": "Delete an account level exemption",
        "description": "Delete an exemption that is specified with account level scope.",
        "operationId": "deleteExemptionAccount",
        "parameters": [
          {
            "description": "Exemption type, e.g. 'cve' or 'sn' or 'configuration'. See /va/api/v4/exempt/types for more details.",
            "name": "issueType",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Exemption ID, e.g. 'CVE-2018-9999'. See /va/api/v4/exempt/types for more details.",
            "name": "issueID",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": ".*"
            }
          },
          {
            "$ref": "#/components/parameters/AccountParam"
          },
          {
            "$ref": "#/components/parameters/LanguageParam"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "400": {
            "$ref": "#/components/responses/MissingHeader"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "description": "Exemption not found.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/request.HTTPError"
                }
              }
            }
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "502": {
            "$ref": "#/components/responses/BadGateway"
          },
          "503": {
            "$ref": "#/components/responses/ServerUnavailable"
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "deleteExemptionAccountOptions := vulnerabilityAdvisorService.NewDeleteExemptionAccountOptions(\n",
                      "  \"cve\",\n",
                      "  \"CVE-2020-0001\",\n",
                      ")\n",
                      "\n",
                      "response, err := vulnerabilityAdvisorService.DeleteExemptionAccount(deleteExemptionAccountOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "if response.StatusCode != 200 {\n",
                      "  fmt.Printf(\"\\nUnexpected response status code received from DeleteExemptionAccount(): %d\\n\", response.StatusCode)\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  issueType: 'cve',\n",
                      "  issueId: 'CVE-2020-0001',\n",
                      "};\n",
                      "\n",
                      "try {\n",
                      "  await vulnerabilityAdvisorService.deleteExemptionAccount(params);\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "response = vulnerability_advisor_service.delete_exemption_account(\n",
                      "  issue_type='cve',\n",
                      "  issue_id='CVE-2023-0001',\n",
                      ")"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "DeleteExemptionAccountOptions deleteExemptionAccountOptions = new DeleteExemptionAccountOptions.Builder()\n",
                      "  .issueType(\"cve\")\n",
                      "  .issueId(\"CVE-2023-0001\")\n",
                      "  .build();\n",
                      "\n",
                      "Response<Void> response = vulnerabilityAdvisorService.deleteExemptionAccount(deleteExemptionAccountOptions).execute();"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X 'DELETE' \\\n",
                      "  'https://icr.io/va/api/v4/exempt/image/issue/cve/CVE-2019-99999' \\\n",
                      "  -H 'Authorization: Bearer <bearer_token>' \\\n",
                      "  -H 'Account: <account_ID>'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/va/api/v4/exempt/image/{resource}": {
      "get": {
        "tags": [
          "Exemption"
        ],
        "summary": "List resource exemptions",
        "description": "List the exemptions that are specified for a resource (account, registry namespace, repository, or image).",
        "operationId": "listExemptionResource",
        "parameters": [
          {
            "$ref": "#/components/parameters/AccountParam"
          },
          {
            "$ref": "#/components/parameters/LanguageParam"
          },
          {
            "description": "IBM Cloud Registry resource (namespace, namespace/repository, namespace/repository:tag, or namespace/repository@sha256:hash)",
            "name": "resource",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": ".*"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Exemption"
                  }
                },
                "example": [
                  {
                    "issue_type": "cve",
                    "issue_id": "CVE-2019-99999",
                    "account_id": "79c6d1c71fb1cbedc38ffc251ba2ffff",
                    "scope": {
                      "scope_type": "image",
                      "namespace": "birds",
                      "repository": "",
                      "tag": ""
                    }
                  }
                ]
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/MissingHeader"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "502": {
            "$ref": "#/components/responses/BadGateway"
          },
          "503": {
            "$ref": "#/components/responses/ServerUnavailable"
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "listExemptionResourceOptions := vulnerabilityAdvisorService.NewListExemptionResourceOptions(\n",
                      "  \"image name\",\n",
                      ")\n",
                      "\n",
                      "exemption, response, err := vulnerabilityAdvisorService.ListExemptionResource(listExemptionResourceOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(exemption, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  resource: 'image name',\n",
                      "};\n",
                      "\n",
                      "let res;\n",
                      "try {\n",
                      "  res = await vulnerabilityAdvisorService.listExemptionResource(params);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "response = vulnerability_advisor_service.list_exemption_resource(\n",
                      "  resource='image name',\n",
                      ")\n",
                      "list_exemption = response.get_result()\n",
                      "\n",
                      "print(json.dumps(list_exemption, indent=2))"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "ListExemptionResourceOptions listExemptionResourceOptions = new ListExemptionResourceOptions.Builder()\n",
                      "  .resource(\"image name\")\n",
                      "  .build();\n",
                      "\n",
                      "Response<List<Exemption>> response = vulnerabilityAdvisorService.listExemptionResource(listExemptionResourceOptions).execute();\n",
                      "List<Exemption> listExemption = response.getResult();\n",
                      "\n",
                      "System.out.println(listExemption);"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X 'GET' \\\n",
                      "  'https://icr.io/va/api/v4/exempt/image/birds' \\\n",
                      "  -H 'Authorization: Bearer <bearer_token>' \\\n",
                      "  -H 'accept: application/json' \\\n",
                      "  -H 'Account: <account_ID>'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/va/api/v4/exempt/image/{resource}/issue/{issueType}/{issueID}": {
      "get": {
        "tags": [
          "Exemption"
        ],
        "summary": "Get details of a resource exemption",
        "description": "Get an exemption that is specified for a resource (account, registry namespace, repository, or image).",
        "operationId": "getExemptionResource",
        "parameters": [
          {
            "description": "IBM Cloud Registry resource (namespace, namespace/repository, namespace/repository:tag, or namespace/repository@sha256:hash)",
            "name": "resource",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": ".*"
            }
          },
          {
            "description": "Exemption type, e.g. 'cve' or 'sn' or 'configuration'. See /va/api/v4/exempt/types for more details.",
            "name": "issueType",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Exemption ID, e.g. 'CVE-2018-9999'. See /va/api/v4/exempt/types for more details.",
            "name": "issueID",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": ".*"
            }
          },
          {
            "$ref": "#/components/parameters/AccountParam"
          },
          {
            "$ref": "#/components/parameters/LanguageParam"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Exemption"
                },
                "example": {
                  "issue_type": "cve",
                  "issue_id": "CVE-2019-99999",
                  "account_id": "79c6d1c71fb1cbedc38ffc251ba2ffff",
                  "scope": {
                    "scope_type": "image",
                    "namespace": "birds",
                    "repository": "",
                    "tag": ""
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/MissingHeader"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "502": {
            "$ref": "#/components/responses/BadGateway"
          },
          "503": {
            "$ref": "#/components/responses/ServerUnavailable"
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "getExemptionResourceOptions := vulnerabilityAdvisorService.NewGetExemptionResourceOptions(\n",
                      "  \"cve\",\n",
                      "  \"CVE-2020-0001\",\n",
                      "  \"image name\",\n",
                      ")\n",
                      "\n",
                      "exemption, response, err := vulnerabilityAdvisorService.GetExemptionResource(getExemptionResourceOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(exemption, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  resource: 'image name',\n",
                      "  issueType: 'cve',\n",
                      "  issueId: 'CVE-2020-0001',\n",
                      "};\n",
                      "\n",
                      "let res;\n",
                      "try {\n",
                      "  res = await vulnerabilityAdvisorService.getExemptionResource(params);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "response = vulnerability_advisor_service.get_exemption_resource(\n",
                      "  resource='image name',\n",
                      "  issue_type='cve',\n",
                      "  issue_id='CVE-2023-0001',\n",
                      ")\n",
                      "exemption = response.get_result()\n",
                      "\n",
                      "print(json.dumps(exemption, indent=2))"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "GetExemptionResourceOptions getExemptionResourceOptions = new GetExemptionResourceOptions.Builder()\n",
                      "  .resource(\"image name\")\n",
                      "  .issueType(\"cve\")\n",
                      "  .issueId(\"CVE-2023-0001\")\n",
                      "  .build();\n",
                      "\n",
                      "Response<Exemption> response = vulnerabilityAdvisorService.getExemptionResource(getExemptionResourceOptions).execute();\n",
                      "Exemption exemption = response.getResult();\n",
                      "\n",
                      "System.out.println(exemption);"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X 'GET' \\\n",
                      "  'https://icr.io/va/api/v4/exempt/image/birds/issue/cve/CVE-2019-99999' \\\n",
                      "  -H 'Authorization: Bearer <bearer_token>' \\\n",
                      "  -H 'accept: application/json' \\\n",
                      "  -H 'Account: <account_ID>'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "post": {
        "tags": [
          "Exemption"
        ],
        "summary": "Create or update a resource exemption",
        "description": "Create or update an exemption that is specified for a resource (account, registry namespace, repository, or image).",
        "operationId": "createExemptionResource",
        "parameters": [
          {
            "description": "IBM Cloud Registry resource (namespace, namespace/repository, namespace/repository:tag, or namespace/repository@sha256:hash)",
            "name": "resource",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": ".*"
            }
          },
          {
            "description": "Exemption type, e.g. 'cve' or 'sn' or 'configuration'. See /va/api/v4/exempt/types for more details.",
            "name": "issueType",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Exemption ID, e.g. 'CVE-2018-9999'. See /va/api/v4/exempt/types for more details.",
            "name": "issueID",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": ".*"
            }
          },
          {
            "$ref": "#/components/parameters/AccountParam"
          },
          {
            "$ref": "#/components/parameters/LanguageParam"
          }
        ],
        "responses": {
          "201": {
            "description": "Created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Exemption"
                },
                "example": {
                  "issue_type": "cve",
                  "issue_id": "CVE-2019-99999",
                  "account_id": "79c6d1c71fb1cbedc38ffc251ba2ffff",
                  "scope": {
                    "scope_type": "image",
                    "namespace": "birds",
                    "repository": "",
                    "tag": ""
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/MissingHeader"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "502": {
            "$ref": "#/components/responses/BadGateway"
          },
          "503": {
            "$ref": "#/components/responses/ServerUnavailable"
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "createExemptionResourceOptions := vulnerabilityAdvisorService.NewCreateExemptionResourceOptions(\n",
                      "  \"cve\",\n",
                      "  \"CVE-2020-0001\",\n",
                      "  \"image name\",\n",
                      ")\n",
                      "\n",
                      "exemption, response, err := vulnerabilityAdvisorService.CreateExemptionResource(createExemptionResourceOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(exemption, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  resource: 'image name',\n",
                      "  issueType: 'cve',\n",
                      "  issueId: 'CVE-2020-0001',\n",
                      "};\n",
                      "\n",
                      "let res;\n",
                      "try {\n",
                      "  res = await vulnerabilityAdvisorService.createExemptionResource(params);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "response = vulnerability_advisor_service.create_exemption_resource(\n",
                      "  resource='image name',\n",
                      "  issue_type='cve',\n",
                      "  issue_id='CVE-2023-0001',\n",
                      ")\n",
                      "exemption = response.get_result()\n",
                      "\n",
                      "print(json.dumps(exemption, indent=2))"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "CreateExemptionResourceOptions createExemptionResourceOptions = new CreateExemptionResourceOptions.Builder()\n",
                      "  .resource(\"image name\")\n",
                      "  .issueType(\"cve\")\n",
                      "  .issueId(\"CVE-2023-0001\")\n",
                      "  .build();\n",
                      "\n",
                      "Response<Exemption> response = vulnerabilityAdvisorService.createExemptionResource(createExemptionResourceOptions).execute();\n",
                      "Exemption exemption = response.getResult();\n",
                      "\n",
                      "System.out.println(exemption);"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X 'POST' \\\n",
                      "  'https://icr.io/va/api/v4/exempt/image/birds/issue/cve/CVE-2019-99999' \\\n",
                      "  -H 'Authorization: Bearer <bearer_token>' \\\n",
                      "  -H 'accept: application/json' \\\n",
                      "  -H 'Account: <account_ID>'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "delete": {
        "tags": [
          "Exemption"
        ],
        "summary": "Delete a resource exemption",
        "description": "Delete an exemption that is specified for a resource (account, registry namespace, repository, or image).",
        "operationId": "deleteExemptionResource",
        "parameters": [
          {
            "description": "IBM Cloud Registry resource (namespace, namespace/repository, namespace/repository:tag, or namespace/repository@sha256:hash)",
            "name": "resource",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": ".*"
            }
          },
          {
            "description": "Exemption type, e.g. 'cve' or 'sn' or 'configuration'. See /va/api/v4/exempt/types for more details.",
            "name": "issueType",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Exemption ID, e.g. 'CVE-2018-9999'. See /va/api/v4/exempt/types for more details.",
            "name": "issueID",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": ".*"
            }
          },
          {
            "$ref": "#/components/parameters/AccountParam"
          },
          {
            "$ref": "#/components/parameters/LanguageParam"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "400": {
            "$ref": "#/components/responses/MissingHeader"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "description": "Exemption not found.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/request.HTTPError"
                }
              }
            }
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "502": {
            "$ref": "#/components/responses/BadGateway"
          },
          "503": {
            "$ref": "#/components/responses/ServerUnavailable"
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "deleteExemptionResourceOptions := vulnerabilityAdvisorService.NewDeleteExemptionResourceOptions(\n",
                      "  \"cve\",\n",
                      "  \"CVE-2020-0001\",\n",
                      "  \"image name\",\n",
                      ")\n",
                      "\n",
                      "response, err := vulnerabilityAdvisorService.DeleteExemptionResource(deleteExemptionResourceOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "if response.StatusCode != 200 {\n",
                      "  fmt.Printf(\"\\nUnexpected response status code received from DeleteExemptionResource(): %d\\n\", response.StatusCode)\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  resource: 'image name',\n",
                      "  issueType: 'cve',\n",
                      "  issueId: 'CVE-2020-0001',\n",
                      "};\n",
                      "\n",
                      "try {\n",
                      "  await vulnerabilityAdvisorService.deleteExemptionResource(params);\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "response = vulnerability_advisor_service.delete_exemption_resource(\n",
                      "  resource='image name',\n",
                      "  issue_type='cve',\n",
                      "  issue_id='CVE-2023-0001',\n",
                      ")"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "DeleteExemptionResourceOptions deleteExemptionResourceOptions = new DeleteExemptionResourceOptions.Builder()\n",
                      "  .resource(\"image name\")\n",
                      "  .issueType(\"cve\")\n",
                      "  .issueId(\"CVE-2023-0001\")\n",
                      "  .build();\n",
                      "\n",
                      "Response<Void> response = vulnerabilityAdvisorService.deleteExemptionResource(deleteExemptionResourceOptions).execute();"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X 'DELETE' \\\n",
                      "  'https://icr.io/va/api/v4/exempt/image/birds/issue/cve/CVE-2019-99999' \\\n",
                      "  -H 'Authorization: Bearer <bearer_token>' \\\n",
                      "  -H 'Account: <account_ID>'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/va/api/v4/exempt/types": {
      "get": {
        "tags": [
          "Exemption"
        ],
        "summary": "List the types of exemption",
        "description": "List the types of exemption.",
        "operationId": "exemptHandler",
        "parameters": [
          {
            "$ref": "#/components/parameters/AccountParam"
          },
          {
            "$ref": "#/components/parameters/LanguageParam"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/exemption.TypeInfo"
                  }
                },
                "example": [
                  {
                    "identifier": "cve",
                    "display_name": "CVE",
                    "validation_regex": "^(?:CVE-(?:\\d){4}-(?:\\d){4,})$"
                  },
                  {
                    "identifier": "sn",
                    "display_name": "Security Notice",
                    "validation_regex": "^(?:(?:RHSA-(?:\\d){4}:(?:\\d){4})|(?:DSA-(?:\\d){3,}-(?:\\d){1,})|(?:usn-(?:\\d){1,}-(?:\\d){1,})|(?:ALPINE-(?:CVE-(?:\\d){4}-(?:\\d){4,})))$"
                  },
                  {
                    "identifier": "configuration",
                    "display_name": "Configuration Issue",
                    "validation_regex": "^(?:(?:system_configuration:Linux\\.(?:\\d){1,2}-\\d-[a-z])|(?:application_configuration:(?:(?:[a-zA-Z/](?:(?:(?:[a-zA-Z0-9-_/])+)?[a-zA-Z0-9])?)(?:\\.(?:[a-zA-Z/](?:(?:(?:[a-zA-Z0-9-_/])+)?[a-zA-Z0-9])?))+)))$"
                  }
                ]
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/MissingHeader"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "502": {
            "$ref": "#/components/responses/BadGateway"
          },
          "503": {
            "$ref": "#/components/responses/ServerUnavailable"
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "exemptHandlerOptions := vulnerabilityAdvisorService.NewExemptHandlerOptions()\n",
                      "\n",
                      "exemptionTypeInfo, response, err := vulnerabilityAdvisorService.ExemptHandler(exemptHandlerOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(exemptionTypeInfo, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "let res;\n",
                      "try {\n",
                      "  res = await vulnerabilityAdvisorService.exemptHandler({});\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "response = vulnerability_advisor_service.exempt_handler()\n",
                      "list_exemption_type_info = response.get_result()\n",
                      "\n",
                      "print(json.dumps(list_exemption_type_info, indent=2))"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "ExemptHandlerOptions exemptHandlerOptions = new ExemptHandlerOptions();\n",
                      "\n",
                      "Response<List<ExemptionTypeInfo>> response = vulnerabilityAdvisorService.exemptHandler(exemptHandlerOptions).execute();\n",
                      "List<ExemptionTypeInfo> listExemptionTypeInfo = response.getResult();\n",
                      "\n",
                      "System.out.println(listExemptionTypeInfo);"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X 'GET' \\\n",
                      "  'https://icr.io/va/api/v4/exempt/types' \\\n",
                      "  -H 'Authorization: Bearer <bearer_token>' \\\n",
                      "  -H 'accept: application/json' \\\n",
                      "  -H 'Account: <account_ID>'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/va/api/v4/exemptions/account": {
      "get": {
        "tags": [
          "Exemption"
        ],
        "summary": "List all exemptions",
        "description": "List all of the exemptions in the given account.",
        "operationId": "listAccountExemptions",
        "parameters": [
          {
            "$ref": "#/components/parameters/AccountParam"
          },
          {
            "$ref": "#/components/parameters/LanguageParam"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Exemption"
                  }
                },
                "example": [
                  {
                    "issue_type": "cve",
                    "issue_id": "CVE-2019-99999",
                    "account_id": "79c6d1c71fb1cbedc38ffc251ba2ffff",
                    "scope": {
                      "scope_type": "image",
                      "namespace": "",
                      "repository": "",
                      "tag": ""
                    }
                  },
                  {
                    "issue_type": "cve",
                    "issue_id": "CVE-2019-11111",
                    "account_id": "79c6d1c71fb1cbedc38ffc251ba2ffff",
                    "scope": {
                      "scope_type": "image",
                      "namespace": "birds",
                      "repository": "",
                      "tag": ""
                    }
                  }
                ]
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/MissingHeader"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "502": {
            "$ref": "#/components/responses/BadGateway"
          },
          "503": {
            "$ref": "#/components/responses/ServerUnavailable"
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "listAccountExemptionsOptions := vulnerabilityAdvisorService.NewListAccountExemptionsOptions()\n",
                      "\n",
                      "exemption, response, err := vulnerabilityAdvisorService.ListAccountExemptions(listAccountExemptionsOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(exemption, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "let res;\n",
                      "try {\n",
                      "  res = await vulnerabilityAdvisorService.listAccountExemptions({});\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "response = vulnerability_advisor_service.list_account_exemptions()\n",
                      "list_exemption = response.get_result()\n",
                      "\n",
                      "print(json.dumps(list_exemption, indent=2))"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "ListAccountExemptionsOptions listAccountExemptionsOptions = new ListAccountExemptionsOptions();\n",
                      "\n",
                      "Response<List<Exemption>> response = vulnerabilityAdvisorService.listAccountExemptions(listAccountExemptionsOptions).execute();\n",
                      "List<Exemption> listExemption = response.getResult();\n",
                      "\n",
                      "System.out.println(listExemption);"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X 'GET' \\\n",
                      "  'https://icr.io/va/api/v4/exemptions/account' \\\n",
                      "  -H 'Authorization: Bearer <bearer_token>' \\\n",
                      "  -H 'accept: application/json' \\\n",
                      "  -H 'Account: <account_ID>'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/va/api/v4/exemptions/deleteAll": {
      "post": {
        "tags": [
          "Exemption"
        ],
        "summary": "Delete all exemptions",
        "description": "Delete all of the exemptions in the given account.",
        "operationId": "exemptionsAccountDeleteHandler",
        "parameters": [
          {
            "$ref": "#/components/parameters/AccountParam"
          },
          {
            "$ref": "#/components/parameters/LanguageParam"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/exemption.DeletionInfo"
                },
                "example": {
                  "number_of_exemptions_deleted": 2
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/MissingHeader"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "502": {
            "$ref": "#/components/responses/BadGateway"
          },
          "503": {
            "$ref": "#/components/responses/ServerUnavailable"
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "exemptionsAccountDeleteHandlerOptions := vulnerabilityAdvisorService.NewExemptionsAccountDeleteHandlerOptions()\n",
                      "\n",
                      "exemptionDeletionInfo, response, err := vulnerabilityAdvisorService.ExemptionsAccountDeleteHandler(exemptionsAccountDeleteHandlerOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(exemptionDeletionInfo, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "let res;\n",
                      "try {\n",
                      "  res = await vulnerabilityAdvisorService.exemptionsAccountDeleteHandler({});\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "response = vulnerability_advisor_service.exemptions_account_delete_handler()\n",
                      "exemption_deletion_info = response.get_result()\n",
                      "\n",
                      "print(json.dumps(exemption_deletion_info, indent=2))"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "ExemptionsAccountDeleteHandlerOptions exemptionsAccountDeleteHandlerOptions = new ExemptionsAccountDeleteHandlerOptions();\n",
                      "\n",
                      "Response<ExemptionDeletionInfo> response = vulnerabilityAdvisorService.exemptionsAccountDeleteHandler(exemptionsAccountDeleteHandlerOptions).execute();\n",
                      "ExemptionDeletionInfo exemptionDeletionInfo = response.getResult();\n",
                      "\n",
                      "System.out.println(exemptionDeletionInfo);"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X 'POST' \\\n",
                      "  'https://icr.io/va/api/v4/exemptions/deleteAll' \\\n",
                      "  -H 'Authorization: Bearer <bearer_token>' \\\n",
                      "  -H 'accept: application/json' \\\n",
                      "  -H 'Account: <account_ID>'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/va/api/v4/exemptions/image/{resource}": {
      "get": {
        "tags": [
          "Exemption"
        ],
        "summary": "List image exemptions",
        "description": "List all of the exemptions for an image.",
        "operationId": "listImageExemptions",
        "parameters": [
          {
            "$ref": "#/components/parameters/AccountParam"
          },
          {
            "$ref": "#/components/parameters/LanguageParam"
          },
          {
            "description": "Include scope on returned exemptions",
            "name": "includeScope",
            "in": "query",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "description": "IBM Cloud Registry resource (namespace, namespace/repository, namespace/repository:tag, or namespace/repository@sha256:hash)",
            "name": "resource",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": ".*"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK. If the includeScope query parameter is set to true this endpoint will return a list of exemptions that have an additional field 'scope' that describes the level at which the exemption is set (namespace, repository, tag)",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Exemption"
                  }
                },
                "example": [
                  {
                    "issue_type": "cve",
                    "issue_id": "CVE-2019-99999",
                    "account_id": "79c6d1c71fb1cbedc38ffc251ba2ffff"
                  }
                ]
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/MissingHeader"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "502": {
            "$ref": "#/components/responses/BadGateway"
          },
          "503": {
            "$ref": "#/components/responses/ServerUnavailable"
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "listImageExemptionsOptions := vulnerabilityAdvisorService.NewListImageExemptionsOptions(\n",
                      "  \"image name\",\n",
                      ")\n",
                      "\n",
                      "exemption, response, err := vulnerabilityAdvisorService.ListImageExemptions(listImageExemptionsOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(exemption, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  resource: 'image name',\n",
                      "};\n",
                      "\n",
                      "let res;\n",
                      "try {\n",
                      "  res = await vulnerabilityAdvisorService.listImageExemptions(params);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "response = vulnerability_advisor_service.list_image_exemptions(\n",
                      "  resource='image name',\n",
                      ")\n",
                      "list_exemption = response.get_result()\n",
                      "\n",
                      "print(json.dumps(list_exemption, indent=2))"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "ListImageExemptionsOptions listImageExemptionsOptions = new ListImageExemptionsOptions.Builder()\n",
                      "  .resource(\"image name\")\n",
                      "  .build();\n",
                      "\n",
                      "Response<List<Exemption>> response = vulnerabilityAdvisorService.listImageExemptions(listImageExemptionsOptions).execute();\n",
                      "List<Exemption> listExemption = response.getResult();\n",
                      "\n",
                      "System.out.println(listExemption);"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X 'GET' \\\n",
                      "  'https://icr.io/va/api/v4/exemptions/image/birds?includeScope=false' \\\n",
                      "  -H 'Authorization: Bearer <bearer_token>' \\\n",
                      "  -H 'accept: application/json' \\\n",
                      "  -H 'Account: <account_ID>'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/va/api/v4/exemptions/images": {
      "post": {
        "tags": [
          "Exemption"
        ],
        "summary": "List exemptions for images",
        "description": "List the exemptions for the given list of images.",
        "operationId": "listBulkImageExemptions",
        "parameters": [
          {
            "$ref": "#/components/parameters/AccountParam"
          },
          {
            "$ref": "#/components/parameters/LanguageParam"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "example": [
                "us.icr.io/birds/woodpecker:green",
                "us.icr.io/birds/grebe:crested"
              ]
            }
          },
          "description": "List of images",
          "required": true
        },
        "x-codegen-request-body-name": "body",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ExemptionsMap"
                },
                "example": {
                  "us.icr.io/birds/woodpecker:green": [
                    {
                      "issue_type": "cve",
                      "issue_id": "CVE-2019-99999",
                      "account_id": "79c6d1c71fb1cbedc38ffc251ba2ffff"
                    }
                  ],
                  "us.icr.io/birds/grebe:crested": [
                    {
                      "issue_type": "cve",
                      "issue_id": "CVE-2019-11111",
                      "account_id": "79c6d1c71fb1cbedc38ffc251ba2ffff"
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/MissingHeader"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "502": {
            "$ref": "#/components/responses/BadGateway"
          },
          "503": {
            "$ref": "#/components/responses/ServerUnavailable"
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "listBulkImageExemptionsOptions := vulnerabilityAdvisorService.NewListBulkImageExemptionsOptions(\n",
                      "  []string{\"us.icr.io/birds/woodpecker:green\", \"us.icr.io/birds/grebe:crested\"},\n",
                      ")\n",
                      "\n",
                      "mapStringExemption, response, err := vulnerabilityAdvisorService.ListBulkImageExemptions(listBulkImageExemptionsOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(mapStringExemption, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  body: ['us.icr.io/birds/woodpecker:green', 'us.icr.io/birds/grebe:crested'],\n",
                      "};\n",
                      "\n",
                      "let res;\n",
                      "try {\n",
                      "  res = await vulnerabilityAdvisorService.listBulkImageExemptions(params);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "response = vulnerability_advisor_service.list_bulk_image_exemptions(\n",
                      "  body=['us.icr.io/birds/woodpecker:green', 'us.icr.io/birds/grebe:crested'],\n",
                      ")\n",
                      "exemptions_map = response.get_result()\n",
                      "\n",
                      "print(json.dumps(exemptions_map, indent=2))"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "ListBulkImageExemptionsOptions listBulkImageExemptionsOptions = new ListBulkImageExemptionsOptions.Builder()\n",
                      "  .body(java.util.Arrays.asList(\"us.icr.io/birds/woodpecker:green\", \"us.icr.io/birds/grebe:crested\"))\n",
                      "  .build();\n",
                      "\n",
                      "Response<Map<String, List<Exemption>>> response = vulnerabilityAdvisorService.listBulkImageExemptions(listBulkImageExemptionsOptions).execute();\n",
                      "Map<String, List<Exemption>> mapStringListExemption = response.getResult();\n",
                      "\n",
                      "System.out.println(mapStringListExemption);"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X 'POST' \\\n",
                      "  'https://icr.io/va/api/v4/exemptions/images' \\\n",
                      "  -H 'Authorization: Bearer <bearer_token>' \\\n",
                      "  -H 'accept: application/json' \\\n",
                      "  -H 'Account: <account_ID>' \\\n",
                      "  -H 'Content-Type: application/json' \\\n",
                      "  -d '[\n",
                      "  \"us.icr.io/birds/woodpecker:green\",\n",
                      "  \"us.icr.io/birds/grebe:crested\"\n",
                      "]'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/va/api/v4/report/account": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get the vulnerability assessment for all images",
        "description": "Get the vulnerability assessment for the list of registry images that belong to a specific account.",
        "operationId": "accountReportQueryPath",
        "parameters": [
          {
            "description": "The name of the repository that you want to see image vulnerability assessments for. For example, us.icr.io/namespace/image.",
            "name": "repository",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "When set to true, the returned list contains IBM public images and the account images. If not set, or set to false, the list contains only the account images.",
            "name": "includeIBM",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "When set to false, the returned list does not contain the private account images. If not set, or set to true, the list contains the private account images.",
            "name": "includePrivate",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/AccountParam"
          },
          {
            "$ref": "#/components/parameters/LanguageParam"
          }
        ],
        "responses": {
          "200": {
            "description": "The returned list might contain unscanned results for images in your account that haven't yet been scanned. Try again later. If this issue persists, contact support for help; see https://cloud.ibm.com/docs/get-support?topic=get-support-using-avatar",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ScanReportList"
                },
                "example": {
                  "assessments": {
                    "us.icr.io/birds/grebe:crested": {
                      "id": "12345678-130f-423f-a521-16f787651234",
                      "scan_time": 1594050648,
                      "status": "UNSUPPORTED",
                      "vulnerabilities": [],
                      "configuration_issues": [],
                      "os_distribution": {
                        "distribution_id": "unknown"
                      }
                    },
                    "us.icr.io/birds/woodpecker:green": {
                      "id": "12345678-130f-423f-a521-16f787654321",
                      "scan_time": 1594148866,
                      "status": "WARN",
                      "vulnerabilities": [
                        {
                          "cve_id": "CVE-2019-99999",
                          "summary": "This is a CVE.",
                          "cve_exempt": true,
                          "exempt_status": "exempt",
                          "security_notice_count": 1,
                          "exempt_security_notice_count": 0,
                          "total_security_notice_count": 1,
                          "security_notices": [
                            {
                              "notice_id": "ALPINE-CVE-2019-99999",
                              "notice": "",
                              "references": [
                                ""
                              ],
                              "notice_exempt": false,
                              "summary": "This is a summary.",
                              "vulnerable_packages": [
                                {
                                  "description": "Description of vulnerability to package",
                                  "corrective_action": "Upgrade the offending package",
                                  "fix_version": "0.0.1",
                                  "installed_version": "0.0.0",
                                  "package_name": "package"
                                }
                              ]
                            }
                          ]
                        }
                      ],
                      "configuration_issues": [],
                      "os_distribution": {
                        "distribution_id": "alpine"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/MissingHeader"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "502": {
            "$ref": "#/components/responses/BadGateway"
          },
          "503": {
            "$ref": "#/components/responses/ServerUnavailable"
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "accountReportQueryPathOptions := vulnerabilityAdvisorService.NewAccountReportQueryPathOptions()\n",
                      "\n",
                      "accountReportQueryPathOptions.IncludePrivate = core.StringPtr(\"true\")\n",
                      "\n",
                      "scanReportList, response, err := vulnerabilityAdvisorService.AccountReportQueryPath(accountReportQueryPathOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(scanReportList, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "let res;\n",
                      "try {\n",
                      "  res = await vulnerabilityAdvisorService.accountReportQueryPath({});\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "response = vulnerability_advisor_service.account_report_query_path()\n",
                      "scan_report_list = response.get_result()\n",
                      "\n",
                      "print(json.dumps(scan_report_list, indent=2))"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "AccountReportQueryPathOptions accountReportQueryPathOptions = new AccountReportQueryPathOptions.Builder()\n",
                      "  .build();\n",
                      "\n",
                      "Response<ScanReportList> response = vulnerabilityAdvisorService.accountReportQueryPath(accountReportQueryPathOptions).execute();\n",
                      "ScanReportList scanReportList = response.getResult();\n",
                      "\n",
                      "System.out.println(scanReportList);"
                    ]
                  }
                ]
              }
            ],
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X 'GET' \\\n",
                      "  'https://icr.io/va/api/v4/report/account' \\\n",
                      "  -H 'Authorization: Bearer <bearer_token>' \\\n",
                      "  -H 'accept: application/json' \\\n",
                      "  -H 'Account: <account_ID>'"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/va/api/v4/report/account/status": {
      "get": {
        "tags": [
          "Report"
        ],
        "summary": "Get vulnerability assessment status for all images",
        "description": "Get the vulnerability assessment status for the list of registry images that belong to a specific account.",
        "operationId": "accountStatusQueryPath",
        "parameters": [
          {
            "description": "The name of the repository that you want to see image vulnerability assessments for. For example, us.icr.io/namespace/image.",
            "name": "repository",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "When set to true, the returned list contains IBM public images and the account images. If not set, or set to false, the list contains only the account images.",
            "name": "includeIBM",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "When set to false, the returned list does not contain the private account images. If not set, or set to true, the list contains the private account images.",
            "name": "includePrivate",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/AccountParam"
          },
          {
            "$ref": "#/components/parameters/LanguageParam"
          }
        ],
        "responses": {
          "200": {
            "description": "The returned list might contain unscanned results for images in your account that haven't yet been scanned. Try again later. If this issue persists, contact support for help; see https://cloud.ibm.com/docs/get-support?topic=get-support-using-avatar",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/scanreport.ImageSummaryList"
                },
[...]
